Inventor General Discussion

Inventor General Discussion

Reply
*Expert Elite*
Dan.M
Posts: 618
Registered: ‎01-19-2009
Message 11 of 26 (1,959 Views)

Re: Fast selection of closed profiles in sketch

01-29-2012 08:10 AM in reply to: fakeru

Hi,

Here is the workaround, a very poor one but thats what we have :

http://inthemachine-autodesk.typepad.com/blog/2010/08/embrace-the-intersect.html

 

Regards,

Dan

*Expert Elite*
JDMather
Posts: 28,262
Registered: ‎04-20-2006
Message 12 of 26 (1,948 Views)

Re: Fast selection of closed profiles in sketch

01-29-2012 11:42 AM in reply to: Dan.M

Dan.M wrote:

 It works that way in SW so why not in Inventor?

 


 

I am pretty sure most SolidWorks pros would not make features as depicted in post #2 either.

 On the other hand using Intersection is often a good solution overlooked in both Inventor and SolidWorks.

 

 

But for what it is worth -

http://usa.autodesk.com/adsk/servlet/index?siteID=123112&id=1109794

 

I would be interested in seeing the "real" problem.

Please mark this response as "Accept as Solution" if it answers your question.
-----------------------------------------------------------------------------------------
Autodesk Inventor 2015 Certified Professional
Autodesk AutoCAD 2013 Certified Professional
Certified SolidWorks Professional
Inventor Professional 2015-SP1 64-bit
http://www.autodesk.com/edcommunity
http://home.pct.edu/~jmather/content/DSG322/inventor_surface_tutorials.htm
Active Contributor
michmaju
Posts: 29
Registered: ‎09-01-2011
Message 13 of 26 (1,939 Views)

Re: Fast selection of closed profiles in sketch

01-29-2012 02:46 PM in reply to: fakeru
I run into this when embossing our logo in parts. The logo has the company name and every time I want to use it I have to select every letter. I get annoyed everytime i do it. As with Solidworks, this is a nonissue for ProE. I'll have to try the intersect method next time to see if it helps.
Matthew
INV 2013
Mentor
PACDrafting
Posts: 587
Registered: ‎10-22-2007
Message 14 of 26 (1,933 Views)

Re: Fast selection of closed profiles in sketch

01-29-2012 03:40 PM in reply to: fakeru
You could write some code to select all sketch blocks with a certain name for example and extrude those profiles. Shouldn't be too hard to write.
Valued Mentor
jeanchile
Posts: 783
Registered: ‎11-10-2009
Message 15 of 26 (1,920 Views)

Re: Fast selection of closed profiles in sketch

01-30-2012 08:35 AM in reply to: Dan.M

Dan.M wrote:

There is no problem with what the man requested!!! So stop question him about the workflow.

 


Jeeeez, relax Dan. The examples he kept posting (in an effort to simplify his issue) were indicative of an improper workflow that broke the very first rule in 3D Modeling which is why I (and likely JD) asked for clarification. Neither of us were disrespectful and we were simply trying to help this person find an alternative (and possibly better) solution to his problem, that's all.

 

For the record, fakeru, I'll bet if you posted the link to the macro I posted earlier over on the customization forum, someone smarter than me could take a look at it and possibly remove the end part of it for you so you ended up with solids elements instead of shelled ones.

 

Good luck!

Inventor Professional 2013 (SP-2.3), Product Design Suite Ultimate
Desktop: Intel Core i7 3.4GHz, 16.0 GB RAM, Windows 7 Ultimate SP-1, 64-bit OS, (2) GeForce GTX 580 (331.81), Space Pilot Pro (3.16.1)
Laptop: Intel Core i7 3.9GHz, 16.0 GB RAM, Windows 7 Pro SP-1, 64-bit OS, GeForce GTX 780 (331.81), SpaceNavigator (3.17.7)
Distinguished Contributor
fakeru
Posts: 113
Registered: ‎03-07-2010
Message 16 of 26 (1,899 Views)

Re: Fast selection of closed profiles in sketch

01-30-2012 12:16 PM in reply to: JDMather

It is not a problem. I call it a situation, when you need to select many profiles to make an extrusion/revolve. The point is that there are many different situations like this. It is not just one. I have 4 years of Inventor experience and I don't pretend to be a professional user, but I know very well his basics possibilities. Now I try to reduce my working time as more as possible and where is possible. I’m trying to customize my work in Inventor to gain more time. I posted the example of the building sketch imported from AutoCAD. Isn’t that enough? Even if I have to select 3 profiles from a sketch, I would like to have it automatically done, because I repeat this operation many times in a day, and in the end it saves me time!
The only solution I see is a macro that could make this. But this is where I struggle the most, in programming…
Anyway, I will try to post here a real situation from my work if everything what I wrote here is not convincing.

Regards
Alexandru

Autodesk Inventor 2015 Certified Professional
AIP 2014 SP2
Windows 7 x64
Dell Precision T7400 Intel(R) Xeon(R) CPU E5-2630 v2 @ 2.60GHz (4 CPU's), 32GB RAM, NVIDIA Quadro K4000 3072MB GDDR3
*Expert Elite*
JDMather
Posts: 28,262
Registered: ‎04-20-2006
Message 17 of 26 (1,895 Views)

Re: Fast selection of closed profiles in sketch

01-30-2012 12:23 PM in reply to: fakeru

I suspect that a Punch tool might prove to be a very clever yet unconvential solution.

But I need to see a true problem to be sure.


You have repeated geometry that needs to be placed - but the placement does not fit a pattern.

Simply dimension the location point with sketch points (one way or another you have to locate - this is true regardless of the selection problem).  This is easier than the desired solution of a one pick selection of disjointed lool areas.

Punch will automatically find sketch points and place the geometry.

Now that I have said all of this - post that example and show me that I just wasted my time because I didn't fully understand the problem.

Please mark this response as "Accept as Solution" if it answers your question.
-----------------------------------------------------------------------------------------
Autodesk Inventor 2015 Certified Professional
Autodesk AutoCAD 2013 Certified Professional
Certified SolidWorks Professional
Inventor Professional 2015-SP1 64-bit
http://www.autodesk.com/edcommunity
http://home.pct.edu/~jmather/content/DSG322/inventor_surface_tutorials.htm
*Expert Elite*
mcgyvr
Posts: 7,248
Registered: ‎12-01-2004
Message 18 of 26 (1,884 Views)

Re: Fast selection of closed profiles in sketch

01-30-2012 01:47 PM in reply to: JDMather

I could use the ability to window select multiple closed sketch profiles too.. My example is for replicating the silkscreening process/output in Inventor. The process that works for me is to create all the text in Autocad, then import that layer into an Inventor sketch, then extrude all the text (.001"). Manually selecting each profile is a pain/time consuming and was made even worse a few years ago when Autodesk changed something and now after selecting a few of profiles it slows Inventor more and more with each pick and I can only select 1 profile every few seconds or so (sometimes up to 10 seconds between each selection).Pre a few years ago I could select as fast as my mouse finger could go.. Window select would be useful.

 

Now off to read the links/workarounds posted before this and hope there is a solution in there.

Did you find this reply helpful ? If so please use the Accept as Solution or Kudos button below.

-------------------------------------------------------------------------------------
2015 Product Design Suite Ultimate
Windows 7 64 bit
Core i7 4820k processor (OC'd to 4.4Ghz), Nvidia GTX 770, 16G RAM


*Expert Elite*
Curtis_Waguespack
Posts: 3,002
Registered: ‎03-08-2006
Message 19 of 26 (1,878 Views)

iLogic to Select all closed profiles in a sketch

01-30-2012 02:29 PM in reply to: Dan.M

Hi everyone,

 

Here is a quick iLogic rule to help with these special circumstances when this is needed. If you place this in an external rule, then it will be available for use in any part file. To use it you must be in an active sketch. It selects all closed profiles found in the active sketch and gathers some input for distance, direction and solution. I'd suggest using construction lines to exclude any profiles you don't want included when using this, as it's an all or nothing method as written.

 

As I mentioned this is rather "quick and dirty" so you might find some issues with it. I'd advise you to make sure your work is saved first before running this, at least for a while.

 

I hope this helps.
Best of luck to you in all of your Inventor pursuits,
Curtis
http://inventortrenches.blogspot.com

 

 

Edit: updated this to add an error check for when no closed profiles are found

 

If Typeof ThisApplication.ActiveEditObject Is Sketch Then
'Do nothing
Else
MessageBox.Show("Activate a Sketch First then Run this Rule", "ilogic")
Return
End If

Dim oPartDoc As PartDocument
oPartDoc = ThisApplication.ActiveDocument

Dim oCompDef As PartComponentDefinition
oCompDef = oPartDoc.ComponentDefinition

Dim oSketch As PlanarSketch
oSketch = ThisApplication.ActiveEditObject

' Create a profile.
Dim oProfile As Profile
On Error Goto NoProfile
oProfile = oSketch.Profiles.AddForSolid

'get user input
oDistance = InputBox("Enter Extrude Distance", "iLogic", "10 mm")
oDirection  = InputRadioBox("Select Extrude Direction", "Up (+)", "Down (-)", True, Title := "iLogic")
oJoinOrCut  = InputRadioBox("Select Extrude Solution", "Join", "Cut", True, Title := "iLogic")

If oDirection = True then
oDirection = kPositiveExtentDirection
Else
oDirection = kNegativeExtentDirection
End if

If oJoinOrCut = True then
oJoinOrCut = kJoinOperation
Else
oJoinOrCut = kCutOperation
End if

' Create an extrusion
Dim oExtrude As ExtrudeFeature
On Error Goto NoExtrude
oExtrude = oCompDef.Features.ExtrudeFeatures.AddByDistanceExtent( _
oProfile, oDistance, oDirection, oJoinOrCut)

ThisApplication.CommandManager.ControlDefinitions.Item("FinishSketch").Execute

iLogicVb.UpdateWhenDone = True

exit sub

NoProfile:
MessageBox.Show("No closed profile found", "iLogic")
Return

NoExtrude:
MessageBox.Show("No extrusion created, check your inputs.", "iLogic")
Return

 



  solution.png  Did you find this reply helpful ? If so please use the Accept as Solution or  Kudos button below.





*Expert Elite*
mcgyvr
Posts: 7,248
Registered: ‎12-01-2004
Message 20 of 26 (1,844 Views)

Re: iLogic to Select all closed profiles in a sketch

01-31-2012 05:31 AM in reply to: Curtis_Waguespack

Curtis,

I LOVE YOU :heart:.... Works EXCELLENT.. 

Just tried it with a typical silkscreen representation..

Manual hand selecting all the text for extrusion took 1 min 47 seconds.. Running the rule took ONLY 8

Did you find this reply helpful ? If so please use the Accept as Solution or Kudos button below.

-------------------------------------------------------------------------------------
2015 Product Design Suite Ultimate
Windows 7 64 bit
Core i7 4820k processor (OC'd to 4.4Ghz), Nvidia GTX 770, 16G RAM


Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Do you have 60 seconds to spare? The Autodesk Community Team is revamping our site ranking system and we want your feedback! Please click here to launch the 5 question survey. As always your input is greatly appreciated.